import request from '@/utils/request'

// 查询任务列表
export function listQuest(query) {
  return request({
    url: '/quest/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getQuest(id) {
  return request({
    url: '/quest/task/selectTaskById/' + id,
    method: 'get'
  })
}

// 新增任务
export function addQuest(data) {
  return request({
    url: '/quest/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateQuest(data) {
  return request({
    url: '/quest/task',
    method: 'put',
    data: data
  })
}

// 删除任务
export function delQuest(id) {
  return request({
    url: '/quest/task/' + id,
    method: 'delete'
  })
}

// 执行任务
export function execute(taskCode) {
  return request({
    url: '/quest/task/execute/'+taskCode,
    method: 'post'
  })
}

// 测试执行
export function testExecute(data) {
  return request({
    url: '/quest/task/testExecute',
    method: 'post',
    data: data
  })
}
